// +-------------------------------- DISCLAIMER ---------------------------------+
// |                                                                             |
// | This application program is provided to you free of charge as an example.   |
// | Despite the considerable efforts of Euresys personnel to create a usable    |
// | example, you should not assume that this program is error-free or suitable  |
// | for any purpose whatsoever.                                                 |
// |                                                                             |
// | EURESYS does not give any representation, warranty or undertaking that this |
// | program is free of any defect or error or suitable for any purpose. EURESYS |
// | shall not be liable, in contract, in torts or otherwise, for any damages,   |
// | loss, costs, expenses or other claims for compensation, including those     |
// | asserted by third parties, arising out of or in connection with the use of  |
// | this program.                                                               |
// |                                                                             |
// +-----------------------------------------------------------------------------+

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace ClinicalAnalysis
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
    public class MainForm : System.Windows.Forms.Form
    {
        private System.Windows.Forms.OpenFileDialog openFileDialog;
        private System.Windows.Forms.MainMenu mainMenu;
        private System.Windows.Forms.MenuItem File;
        private System.Windows.Forms.MenuItem FileOpen;
        private System.Windows.Forms.MenuItem FileExit;
        private System.Windows.Forms.MenuItem menuItem1;

        private ImageProcessing m_Process = new ImageProcessing();
        private IContainer components;

        public MainForm()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();

            //
            // TODO: Add any constructor code after InitializeComponent call

        }

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                if (components != null)
                {
                    components.Dispose();
                }
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            this.openFileDialog = new System.Windows.Forms.OpenFileDialog();
            this.mainMenu = new System.Windows.Forms.MainMenu(this.components);
            this.File = new System.Windows.Forms.MenuItem();
            this.FileOpen = new System.Windows.Forms.MenuItem();
            this.menuItem1 = new System.Windows.Forms.MenuItem();
            this.FileExit = new System.Windows.Forms.MenuItem();
            this.SuspendLayout();
            // 
            // mainMenu
            // 
            this.mainMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
            this.File});
            // 
            // File
            // 
            this.File.Index = 0;
            this.File.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
            this.FileOpen,
            this.menuItem1,
            this.FileExit});
            this.File.Text = "File";
            // 
            // FileOpen
            // 
            this.FileOpen.Index = 0;
            this.FileOpen.Text = "Open And Inspect";
            this.FileOpen.Click += new System.EventHandler(this.FileOpen_Click);
            // 
            // menuItem1
            // 
            this.menuItem1.Index = 1;
            this.menuItem1.Text = "-";
            // 
            // FileExit
            // 
            this.FileExit.Index = 2;
            this.FileExit.Text = "Exit";
            this.FileExit.Click += new System.EventHandler(this.FileExit_Click);
            // 
            // MainForm
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(670, 329);
            this.Menu = this.mainMenu;
            this.Name = "MainForm";
            this.Text = "ClinicalAnalysis";
            this.Load += new System.EventHandler(this.MainForm_Load);
            this.Paint += new System.Windows.Forms.PaintEventHandler(this.MainForm_Paint);
            this.ResumeLayout(false);

        }
        #endregion

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.Run(new MainForm());
        }

        private void MainForm_Load(object sender, System.EventArgs e)
        {
            /// Call the Initialize function of the ImageProcessing class
            m_Process.Initialize();

        }



        private void MainForm_Paint(object sender, System.Windows.Forms.PaintEventArgs e)
        {
            /// Call the Draw function of the ImageProcessing class
            m_Process.Draw(e.Graphics);
        }

        private void FileOpen_Click(object sender, System.EventArgs e)
        {
            // Show open file dialog
            openFileDialog.Filter = "Image Files (*.tif;*.jpg;*.bmp)|*.tif;*.jpg;*.bmp";

            if (openFileDialog.ShowDialog() == DialogResult.Cancel)
            {
                // No image selected, exit
                return;
            }


            /// Call the Inspect function of the ImageProcessing class
            m_Process.Inspect(openFileDialog.FileName);

            /// Refresh the form
            Refresh();
        }

        private void FileExit_Click(object sender, System.EventArgs e)
        {
            // Close the form
            Close();
        }

    }
}


